- Home
- API Enriched
- Telemetry And Insights
- discovery
- Create HTTP/HTTPS load balancer.
Create HTTP/HTTPS load balancer.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/discovery/namespaces/example/discovered_services/example/create_http_load_balancer';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"http_lb_request":{"domain":"example","http":{"advertise_on_public_default_vip":{},"site":{"site":[{"name":"example","namespace":"example"}]},"virtual_site":{"virtual_site":[{"name":"example","namespace":"example"}]}},"https":{"advertise_on_public_default_vip":{},"certificates":[{"name":"example","namespace":"example"}],"site":{"site":[{"name":"example","namespace":"example"}]},"virtual_site":{"virtual_site":[{"name":"example","namespace":"example"}]}},"https_auto_cert":{},"name":"example","skip_server_verification":{},"trusted_ca":{"name":"example","namespace":"example"}}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/discovery/namespaces/example/discovered_services/example/create_http_load_balancer \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "http_lb_request": { "domain": "example", "http": { "advertise_on_public_default_vip": {}, "site": { "site": [ { "name": "example", "namespace": "example" } ] }, "virtual_site": { "virtual_site": [ { "name": "example", "namespace": "example" } ] } }, "https": { "advertise_on_public_default_vip": {}, "certificates": [ { "name": "example", "namespace": "example" } ], "site": { "site": [ { "name": "example", "namespace": "example" } ] }, "virtual_site": { "virtual_site": [ { "name": "example", "namespace": "example" } ] } }, "https_auto_cert": {}, "name": "example", "skip_server_verification": {}, "trusted_ca": { "name": "example", "namespace": "example" } } }'Create HTTP/HTTPS load balancer using the discovered virtual server as an origin server.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace x-required Namespace of the discovered service for current request.
Service Name x-required Identifies the discovered service name.
Request Bodyrequired
Section titled “Request Bodyrequired”CreateHTTPLoadBalancerRequest.
object
object
Required: YES.
object
object
object
Reference to site object
Required: YES.
This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.
object
Reference to virtual site object
Required: YES.
This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.
object
object
Select a certificate
Required: YES.
This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.
object
Reference to site object
Required: YES.
This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.
object
Reference to virtual site object
Required: YES.
This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.
object
The configuration object will be created with name. It has to be unique within the namespace. The value of name has to follow DNS-1035 format. Required: YES.
object
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
Examplegenerated
{ "http_lb_request": { "domain": "example", "http": { "advertise_on_public_default_vip": {}, "site": { "site": [ { "name": "example", "namespace": "example" } ] }, "virtual_site": { "virtual_site": [ { "name": "example", "namespace": "example" } ] } }, "https": { "advertise_on_public_default_vip": {}, "certificates": [ { "name": "example", "namespace": "example" } ], "site": { "site": [ { "name": "example", "namespace": "example" } ] }, "virtual_site": { "virtual_site": [ { "name": "example", "namespace": "example" } ] } }, "https_auto_cert": {}, "name": "example", "skip_server_verification": {}, "trusted_ca": { "name": "example", "namespace": "example" } }}Responses
Section titled “Responses”A successful response.
CreateHTTPLoadBalancerResponse.
object
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
Examplegenerated
{ "http_loadbalancer": { "name": "example", "namespace": "example" }}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example